summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--README.md2
-rwxr-xr-xbootstrap.sh9
2 files changed, 6 insertions, 5 deletions
diff --git a/README.md b/README.md
index caad51d..8319a59 100644
--- a/README.md
+++ b/README.md
@@ -1,4 +1,4 @@
-# Introduction
+ # Introduction
Have you ever wondered, if you want to compile a C++ program, why you always
need to learn another language to make it build properly with dependency
diff --git a/bootstrap.sh b/bootstrap.sh
index a5c11ac..3a9c454 100755
--- a/bootstrap.sh
+++ b/bootstrap.sh
@@ -1,7 +1,8 @@
#!/bin/sh
+set -e
echo "Bootstrapping..."
-g++ -std=c++20 -Wall -O3 -Isrc -pthread src/bootstrap.cc ctor.cc test/ctor.cc -o ctor && \
-./ctor && \
-g++ -std=c++20 -Wall -O3 -Isrc -pthread ctor.cc test/ctor.cc -Lbuild -lctor -o ctor && \
-./ctor configure --ctor-includedir=src --ctor-libdir=build && \
+g++ -std=c++20 -Wall -O3 -Isrc -pthread src/bootstrap.cc ctor.cc test/ctor.cc -o ctor
+./ctor
+g++ -std=c++20 -Wall -O3 -Isrc -pthread ctor.cc test/ctor.cc -Lbuild -lctor -o ctor
+./ctor configure --ctor-includedir=src --ctor-libdir=build
echo "Done. Now run ./ctor to (re)build."